Bug 866578 - engine: cannot stop vm that was suspended after qemu stopped responding and was re initiated
engine: cannot stop vm that was suspended after qemu stopped responding and w...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Omer Frenkel
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 12:21 EDT by Dafna Ron
Modified: 2015-10-27 19:56 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-24 09:27:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (736.56 KB, application/x-gzip)
2012-10-15 12:21 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-10-15 12:21:39 EDT
Created attachment 627551 [details]
logs

Description of problem:

I ran a vm and started suspending it. while it was in saving state I ran kill -STOP <qemu pid> 
after the vm becamse non-responding I ran kill -CONT <qemu pid> 
the vm returns to up state while somewhere in the db its still suspended. 
as a result when we try to stop the vm we do not send destroy to the vm's pid and only delete the image group. 
vm is not stopped when we try to stop it. 

Version-Release number of selected component (if applicable):

si20

How reproducible:

100%

Steps to Reproduce:
1. start suspending a vm
2. run in host kill -STOP <qemu pid> 
3. when vm becomes none-responsive run kill -CONT <qemu pid> 
4. when vm returns to up state try to stop it
  
Actual results:

vm is not stopped. 

Expected results:

if vm becomes non-responsive during saving state we should roll back on suspend. 

Additional info:logs

if we also restart libvirt while qemu is down vm will not be shut down unless we kill its pid.
Comment 1 Simon Grinberg 2012-10-16 07:34:36 EDT
Dafna, what is the real life use case of this scenario?
I fail to understand how a user will get unintentionally to this scenario and why RHEV should handle it if it was done on purpose.
Comment 2 Dafna Ron 2012-10-16 07:39:03 EDT
if qemu crashes during hibernate. 
may not happen a lot but its possible.
Comment 3 Simon Grinberg 2012-10-16 09:03:17 EDT
(In reply to comment #2)
> if qemu crashes during hibernate. 
> may not happen a lot but its possible.

Qemu crash is not the same as:
1.run in host kill -STOP <qemu pid> 
2. when vm becomes none-responsive run kill -CONT <qemu pid> 

      SIGCONT	 19,18,25    Cont    Continue if stopped
      SIGSTOP	 17,19,23    Stop    Stop process

I don't see these happen in normal workflow.

Does it happen when you kill -9?

Note You need to log in before you can comment on or make changes to this bug.